## threadweaver 5.83.0

=== benchmarks/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,7 @@
 
 ########### next target ###############
 
-set(QueueBenchmarks_SRCS QueueBenchmarks.cpp)
-
-add_executable(ThreadWeaverQueueBenchmarks ${QueueBenchmarks_SRCS})
+add_executable(ThreadWeaverQueueBenchmarks QueueBenchmarks.cpp)
 # add_test(ThreadWeaverQueueBenchmarks ThreadWeaverQueueBenchmarks)
 
 target_link_libraries(ThreadWeaverQueueBenchmarks Qt5::Test KF5::ThreadWeaver)
