## threadweaver 5.85.0

=== debian/changelog ===
threadweaver (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:31:12 +0100
