## threadweaver 5.87.0

=== debian/changelog ===
threadweaver (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:09:10 +0000
