## threadweaver 5.90.0

=== debian/changelog ===
threadweaver (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:51:03 +0000
