## threadweaver 5.94.0

=== debian/changelog ===
threadweaver (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:23:13 +0100
