## threadweaver 5.97.0

=== debian/changelog ===
threadweaver (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:08:03 +0100
